package m05bReparacionEJB;
/**
 * This is the Primary Key for the Entity EJB <tt>m05Reparacion</tt>.
 */
public class m05ReparacionPK implements java.io.Serializable {

  /**
   * This is the primary key.
   * It is the Reparacion codigo, which is the primary key
   * in table <tt>m0525t00</tt>.
   */
  public String rep_codigo;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05ReparacionPK) {
      m05ReparacionPK otherKey = (m05ReparacionPK) obj;
      return ((this.rep_codigo == otherKey.rep_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return Integer.parseInt(this.rep_codigo);
  }

}
